Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config
Class XmlPlannerBenchmarkFactory

    java.lang.Object
      org.optaplanner.benchmark.config.XmlPlannerBenchmarkFactory

All Implemented Interfaces:
  PlannerBenchmarkFactory

    public class XmlPlannerBenchmarkFactory

extends Object
implements PlannerBenchmarkFactory

Constructor Summary
`XmlPlannerBenchmarkFactory()`
`XmlPlannerBenchmarkFactory(String benchmarkConfigResource)`

Method Summary
`void` | `addXstreamAnnotations(Class... xstreamAnnotations)`
`PlannerBenchmark` | `buildPlannerBenchmark()`
`XmlPlannerBenchmarkFactory` | `configure(InputStream in)`
`XmlPlannerBenchmarkFactory` | `configure(Reader reader)`
`XmlPlannerBenchmarkFactory` | `configure(String benchmarkConfigResource)`
`PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()` Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlPlannerBenchmarkFactory

    public XmlPlannerBenchmarkFactory()

### XmlPlannerBenchmarkFactory

    public XmlPlannerBenchmarkFactory(String benchmarkConfigResource)

Parameters:
  `benchmarkConfigResource` - never null, a classpath resource, as defined by `Class.getResource(String)`

Method Detail

### addXstreamAnnotations

    public void addXstreamAnnotations(Class... xstreamAnnotations)

### configure

    public XmlPlannerBenchmarkFactory configure(String benchmarkConfigResource)

  Parameters:
    `benchmarkConfigResource` - a classpath resource, as defined by `Class.getResource(String)`
  Returns:
    this

### configure

    public XmlPlannerBenchmarkFactory configure(InputStream in)

### configure

    public XmlPlannerBenchmarkFactory configure(Reader reader)

### getPlannerBenchmarkConfig

    public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

  Description copied from interface: `PlannerBenchmarkFactory`
  Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

  Specified by:
    `getPlannerBenchmarkConfig` in interface `PlannerBenchmarkFactory`
  Returns:
    never null

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

  Specified by:
    `buildPlannerBenchmark` in interface `PlannerBenchmarkFactory`
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.